[ 
https://issues.apache.org/jira/browse/MAHOUT-1889?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=15582071#comment-15582071
 ] 

Suneel Marthi commented on MAHOUT-1889:
---------------------------------------

Thanks for reporting this, it makes sense to work on this if any of the Hadoop 
vendors are already packaging Spark 2x in their distros. Feel free to submit a 
patch nevertheless. 

> Mahout doesn't work with Spark 2.0
> ----------------------------------
>
>                 Key: MAHOUT-1889
>                 URL: https://issues.apache.org/jira/browse/MAHOUT-1889
>             Project: Mahout
>          Issue Type: Bug
>            Reporter: Sergey Svinarchuk
>
> In Spark 2.0 was changes path to libraries and classpath. If change classpath 
> to correct for Spark 2.0, all Spark job failed with 
> java.lang.NoSuchMethodError: , because Spark API was changed.
> Example for spark-shell:
> {code}
> ./bin/mahout spark-shell
> Exception in thread "main" java.lang.NoSuchMethodError: 
> org.apache.spark.repl.SparkILoop.setPrompt(Ljava/lang/String;)V
>       at 
> org.apache.mahout.sparkbindings.shell.MahoutSparkILoop.<init>(MahoutSparkILoop.scala:58)
>       at org.apache.mahout.sparkbindings.shell.Main$.main(Main.scala:32)
>       at org.apache.mahout.sparkbindings.shell.Main.main(Main.scala)
> {code}



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Reply via email to